Name: l7-filter
Version: 0.4
Release: alt2

Summary: L7-filter is a classifier for Linux's Netfilter.
License: GPLv2+
Group: Networking/Other
Packager: Peter V. Saveliev <peet@altlinux.org>

Source0: %name-userspace-v%version.tar.gz
Patch0: %name-userspace-v%version-alt-conf.patch

Requires: l7-protocols = %version

# Automatically added by buildreq on Mon Oct 22 2007
BuildRequires: gcc-c++ libnetfilter_conntrack-devel libnetfilter_queue-devel

%description 
L7-filter is a classifier for Linux's Netfilter that identifies
packets based on application layer data. It can classify packets
as Kazaa, HTTP, Jabber, Citrix, Bittorrent, FTP, Gnucleus,
eDonkey2000, etc., regardless of port. It complements existing 
classifiers that match on IP address, port numbers and so on.

%prep
%setup -q -n %name-userspace-v%version
%patch0 -p1

%build
%make

%install
mkdir -p %buildroot
%make PREFIX=%buildroot/%_usr install

%files
%_bindir/%name
%_man1dir/%{name}*

%changelog
* Wed Oct 24 2007 Peter V. Saveliev <peet@altlinux.org> 0.4-alt2
- bind to specific queue fixed (was broken by the patch)

* Mon Oct 22 2007 Peter V. Saveliev <peet@altlinux.org> 0.4-alt1
- initial build

